All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
BoundSegments
Computer Vision

Adds boundary borders around connected regions using a border value of nBorderVal. More...

## Functions

NppStatus | nppiBoundSegments_8u_C1IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp8u nBorderVal, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer in place region boundary border image generation. More...
NppStatus | nppiBoundSegments_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp8u nBorderVal)
NppStatus | nppiBoundSegments_16u_C1IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp16u nBorderVal, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer in place region boundary border image generation. More...
NppStatus | nppiBoundSegments_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp16u nBorderVal)
NppStatus | nppiBoundSegments_32u_C1IR_Ctx (Npp32u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32u nBorderVal, NppStreamContext nppStreamCtx)
| 1 channel 32-bit unsigned integer in place region boundary border image generation. More...
NppStatus | nppiBoundSegments_32u_C1IR (Npp32u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32u nBorderVal)

## Detailed Description

Adds boundary borders around connected regions using a border value of nBorderVal.

While this function is intended to be used on images output from nppiLabelMarkers function calls it will work on any image which contains regions surrounded by pixel values of 0. This function always uses an 8-way connectivity search.

## Function Documentation

NppStatus nppiBoundSegments_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | nBorderVal
| ) |  |

NppStatus nppiBoundSegments_16u_C1IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp16u | nBorderVal,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer in place region boundary border image generation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nBorderVal | Pixel value to be used at connected region boundary borders
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBoundSegments_32u_C1IR | ( | Npp32u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32u | nBorderVal
| ) |  |

NppStatus nppiBoundSegments_32u_C1IR_Ctx | ( | Npp32u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32u | nBorderVal,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit unsigned integer in place region boundary border image generation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nBorderVal | Pixel value to be used at connected region boundary borders
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiBoundSegments_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nBorderVal
| ) |  |

NppStatus nppiBoundSegments_8u_C1IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp8u | nBorderVal,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer in place region boundary border image generation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nBorderVal | Pixel value to be used at connected region boundary borders
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation